Bug 22913 - need xbacklight support for nvidia cards
Summary: need xbacklight support for nvidia cards
Status: REOPENED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nVidia (proprietary) (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Aaron Plattner
QA Contact: Aaron Plattner
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-23 10:32 UTC by schmirrwurst
Modified: 2014-12-31 18:33 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description schmirrwurst 2009-07-23 10:32:13 UTC
I've a sony vaio with geforce 8400M GT, and I've no support for backlight, no laptop_panel in hal, no entry in /sys/class/backlight

I've reported the bug in hal, in devicekit, in kernel, by nvidia...

In fact, a lot of people are affected with this problem on laptops from hp, samsung, sony and mac.

-Hal is deprieciated
-devicekit won't fix some device specific issue
-nvidia is not supporting backlight, as every manufaturer is managing it differently
-kernel team is not reacting

I'm waiting already 2 years for a solution ! I hope to have it fixed for karmic, if not, we all are to wait 6 other month !

Martin Pitt (hal/devicekit developper) said he could make it work if xorg could fix it in xbacklight...
There is already the utility smartdimmer (or nvclock) that is able to set or get backlight, it could be possible to use that code...
Comment 1 Martin Pitt 2009-07-23 10:45:46 UTC
As written on http://lists.freedesktop.org/archives/devkit-devel/2009-July/000268.html, https://bugs.launchpad.net/ubuntu/+source/gnome-power-manager/+bug/385723/comments/5, https://bugs.launchpad.net/ubuntu/+source/gnome-power-manager/+bug/385723/comments/9, this is not really a gnome-power-manager problem really.

The entire idea of smartdimmer is a hack, device drivers belong into kernel just as any other backlight interface the kernel offers. If X.org merges the smartdimmer logic in its xbacklight support, that's fine of course.

The hal support for smartdimmer isn't going away anytime soon, so for these platforms it's perhaps possible to add back the gnome-power-manager support for it. (We could use this bug for tracking that.)

Note that the smartdimmer addition to hal itself is also an Ubuntuism and was rejected upstream for similar reasons (http://lists.freedesktop.org/pipermail/hal/2009-January/012859.html, should go into the kernel).
Comment 2 Martin Pitt 2009-07-23 10:46:51 UTC
Oops, sorry, this was linked from a g-p-m Ubuntu bug, so I saw too late that this is actually filed against X.org, so my previous comment is not entirely relevant. Sorry for the confusion.
Comment 3 Keith Packard 2009-07-23 11:22:37 UTC
This is not a bug in xbacklight, but in the nVidia driver.
Comment 4 schmirrwurst 2009-07-23 11:57:32 UTC
Do xbacklight needs to have the nvidia driver in use to work ? is it communicating through the driver ?

I know from nvidia that they won't support backlight in the driver because the manufacturer are managing backlight differently...
(if it is another issue, do it has been reported somewhere by nvidia ?)

smartdimmer and nvclock are working even without having the driver installed. Could it be possible to change xbacklight the same way for the nvidia cards that are making problems ?

Comment 5 schmirrwurst 2009-07-29 11:13:55 UTC
Then changing product from xrandr to dirver/nvidia...


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.